# $Id: perl-Class-Std-Fast.spec 7981 2009-11-03 03:05:34Z dag $
# Authority: dag
# Upstream: Andreas 'ac0v' Specht - ACID$cpan,org

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Class-Std-Fast
%define real_version 0.000008

Summary: Faster but less secure than Class::Std
Name: perl-Class-Std-Fast
Version: 0.0.8
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Class-Std-Fast/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Class/Class-Std-Fast-v%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Test::More)

%description
Faster but less secure than Class::Std.

%prep
%setup -n %{real_name}-v%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Class::Std::Fast.3pm*
%doc %{_mandir}/man3/Class::Std::Fast::*.3pm*
%dir %{perl_vendorlib}/Class/
%dir %{perl_vendorlib}/Class/Std/
%{perl_vendorlib}/Class/Std/Fast/
%{perl_vendorlib}/Class/Std/Fast.pm

%changelog
* Sun Jun 22 2008 Dag Wieers <dag@wieers.com> - 0.0.8-1 - 7981/dag
- Updated to release 0.0.8.

* Wed May 14 2008 Dag Wieers <dag@wieers.com> - 0.0.6-1
- Initial package. (using DAR)
